Package org.eclipse.jface.databinding.swt

## Class WidgetSideEffects

- java.lang.Object
- - org.eclipse.jface.databinding.swt.WidgetSideEffects

    public final class WidgetSideEffects
    extends Object

A factory for the creation of an `ISideEffectFactory`, which internally manages the created ISideEffects in an `CompositeSideEffect`. The given Widget is used to attach an `DisposeListener` so that all `ISideEffect` objects will be disposed automatically on Widget disposal.

Since:
  1.8

### Method Summary

All Methods Static Methods Concrete Methods
`static org.eclipse.core.databinding.observable.sideeffect.ISideEffectFactory` `createFactory​(Widget disposableWidget)` Creates an `ISideEffectFactory` which will dispose all created `ISideEffect` instances automatically in case the given `Widget` is disposed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### createFactory

    public static org.eclipse.core.databinding.observable.sideeffect.ISideEffectFactory createFactory​(Widget disposableWidget)

Creates an `ISideEffectFactory` which will dispose all created `ISideEffect` instances automatically in case the given `Widget` is disposed.

Parameters:
  `disposableWidget` - `Widget` where a dispose listener will be attached to automatically dispose all `ISideEffect` instances which have been created by the returned `ISideEffectFactory`.
Returns:
  ISideEffectFactory